%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate unicode-bidi

Name:           rust-unicode-bidi
Version:        0.3.15
Release:    1%{?dist}
Summary:        Implementation of the Unicode Bidirectional Algorithm

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/unicode-bidi
Source0:         %{crates_source}
Patch:          unicode-bidi-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Implementation of the Unicode Bidirectional Algorithm.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/AUTHORS
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bench_it-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bench_it-devel %{_description}

This package contains library source intended for building other packages which
use the "bench_it" feature of the "%{crate}" crate.

%files       -n %{name}+bench_it-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hardcoded-data-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hardcoded-data-devel %{_description}

This package contains library source intended for building other packages which
use the "hardcoded-data" feature of the "%{crate}" crate.

%files       -n %{name}+hardcoded-data-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with_serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with_serde-devel %{_description}

This package contains library source intended for building other packages which
use the "with_serde" feature of the "%{crate}" crate.

%files       -n %{name}+with_serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.15-1
- initial build
